OutofcoreCloud Class Reference

`#include <pcl/outofcore/visualization/outofcore_cloud.h>`

Inheritance diagram for OutofcoreCloud:

## Classes

class | CloudDataCacheItem
struct | PcdQueueItem

## Public Types

typedef std::priority_queue< PcdQueueItem > | PcdQueue
typedef LRUCache< std::string, CloudDataCacheItem > | CloudDataCache

## Public Member Functions

| OutofcoreCloud (std::string name, boost::filesystem::path &tree_root)
void | updateVoxelData ()
OctreeDiskPtr | getOctree ()
vtkSmartPointer< vtkActor > | getVoxelActor () const
vtkSmartPointer< vtkActorCollection > | getCloudActors () const
void | setDisplayDepth (int displayDepth)
int | getDisplayDepth ()
uint64_t | getPointsLoaded ()
uint64_t | getDataLoaded ()
Eigen::Vector3d | getBoundingBoxMin ()
Eigen::Vector3d | getBoundingBoxMax ()
void | setDisplayVoxels (bool display_voxels)
bool | getDisplayVoxels ()
void | setRenderCamera (Camera *render_camera)
int | getLodPixelThreshold ()
void | setLodPixelThreshold (int lod_pixel_threshold)
void | increaseLodPixelThreshold ()
void | decreaseLodPixelThreshold ()
virtual void | render (vtkRenderer *renderer)
Public Member Functions inherited from Object
| Object (std::string name)
virtual | ~Object ()
std::string | getName () const
void | setName (std::string name)
bool | hasActor (vtkActor *actor)
void | addActor (vtkActor *actor)
void | removeActor (vtkActor *actor)
vtkSmartPointer< vtkActorCollection > | getActors ()

## Static Public Member Functions

static void | pcdReaderThread ()

## Static Public Attributes

static boost::shared_ptr< boost::thread > | pcd_reader_thread
static PcdQueue | pcd_queue
static boost::mutex | pcd_queue_mutex
static boost::condition | pcd_queue_ready
static CloudDataCache | cloud_data_cache
static boost::mutex | cloud_data_cache_mutex

## Additional Inherited Members

Protected Attributes inherited from Object
vtkSmartPointer< vtkActorCollection > | actors_
boost::mutex | actors_mutex_

## Detailed Description

Definition at line 37 of file outofcore_cloud.h.

## Member Typedef Documentation

## CloudDataCache

typedef LRUCache<std::string, CloudDataCacheItem> OutofcoreCloud::CloudDataCache

Definition at line 116 of file outofcore_cloud.h.

## PcdQueue

typedef std::priority_queue<PcdQueueItem> OutofcoreCloud::PcdQueue

Definition at line 86 of file outofcore_cloud.h.

## Constructor & Destructor Documentation

## OutofcoreCloud()

OutofcoreCloud::OutofcoreCloud | ( | std::string | name,
|  | boost::filesystem::path & | tree_root
| ) |  |

## Member Function Documentation

## decreaseLodPixelThreshold()

void OutofcoreCloud::decreaseLodPixelThreshold | ( |  | ) |

inline

Definition at line 251 of file outofcore_cloud.h.

References render().

## getBoundingBoxMax()

Eigen::Vector3d OutofcoreCloud::getBoundingBoxMax | ( |  | ) |

inline

Definition at line 196 of file outofcore_cloud.h.

## getBoundingBoxMin()

Eigen::Vector3d OutofcoreCloud::getBoundingBoxMin | ( |  | ) |

inline

Definition at line 190 of file outofcore_cloud.h.

## getCloudActors()

vtkSmartPointer<vtkActorCollection> OutofcoreCloud::getCloudActors | ( |  | ) | const

inline

Definition at line 146 of file outofcore_cloud.h.

## getDataLoaded()

uint64_t OutofcoreCloud::getDataLoaded | ( |  | ) |

inline

Definition at line 184 of file outofcore_cloud.h.

## getDisplayDepth()

int OutofcoreCloud::getDisplayDepth | ( |  | ) |

inline

Definition at line 172 of file outofcore_cloud.h.

## getDisplayVoxels()

bool OutofcoreCloud::getDisplayVoxels | ( |  | ) |

inline

Definition at line 208 of file outofcore_cloud.h.

## getLodPixelThreshold()

int OutofcoreCloud::getLodPixelThreshold | ( |  | ) |

inline

Definition at line 220 of file outofcore_cloud.h.

## getOctree()

OctreeDiskPtr OutofcoreCloud::getOctree | ( |  | ) |

inline

Definition at line 134 of file outofcore_cloud.h.

## getPointsLoaded()

uint64_t OutofcoreCloud::getPointsLoaded | ( |  | ) |

inline

Definition at line 178 of file outofcore_cloud.h.

## getVoxelActor()

vtkSmartPointer<vtkActor> OutofcoreCloud::getVoxelActor | ( |  | ) | const

inline

Definition at line 140 of file outofcore_cloud.h.

## increaseLodPixelThreshold()

void OutofcoreCloud::increaseLodPixelThreshold | ( |  | ) |

inline

Definition at line 235 of file outofcore_cloud.h.

## pcdReaderThread()

static void OutofcoreCloud::pcdReaderThread | ( |  | ) |

static

## render()

virtual void OutofcoreCloud::render | ( | vtkRenderer * | renderer | ) |

virtual

Reimplemented from Object.

Referenced by decreaseLodPixelThreshold().

## setDisplayDepth()

void OutofcoreCloud::setDisplayDepth | ( | int | displayDepth | ) |

inline

Definition at line 152 of file outofcore_cloud.h.

References updateVoxelData().

## setDisplayVoxels()

void OutofcoreCloud::setDisplayVoxels | ( | bool | display_voxels | ) |

inline

Definition at line 202 of file outofcore_cloud.h.

## setLodPixelThreshold()

void OutofcoreCloud::setLodPixelThreshold | ( | int | lod_pixel_threshold | ) |

inline

Definition at line 226 of file outofcore_cloud.h.

## setRenderCamera()

void OutofcoreCloud::setRenderCamera | ( | Camera * | render_camera | ) |

inline

Definition at line 214 of file outofcore_cloud.h.

## updateVoxelData()

void OutofcoreCloud::updateVoxelData | ( |  | ) |

Referenced by setDisplayDepth().

## Member Data Documentation

## cloud_data_cache

CloudDataCache OutofcoreCloud::cloud_data_cache

static

Definition at line 117 of file outofcore_cloud.h.

## cloud_data_cache_mutex

boost::mutex OutofcoreCloud::cloud_data_cache_mutex

static

Definition at line 118 of file outofcore_cloud.h.

## pcd_queue

PcdQueue OutofcoreCloud::pcd_queue

static

Definition at line 87 of file outofcore_cloud.h.

## pcd_queue_mutex

boost::mutex OutofcoreCloud::pcd_queue_mutex

static

Definition at line 88 of file outofcore_cloud.h.

## pcd_queue_ready

boost::condition OutofcoreCloud::pcd_queue_ready

static

Definition at line 89 of file outofcore_cloud.h.

## pcd_reader_thread

boost::shared_ptr<boost::thread> OutofcoreCloud::pcd_reader_thread

static

Definition at line 62 of file outofcore_cloud.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/outofcore/include/pcl/outofcore/visualization/outofcore_cloud.h